1. Products
RockTest
  • Auth
    • Register
      POST
    • Login
      POST
  • Category
    • Create
      POST
    • Update
      PUT
    • Get
      GET
    • Delete
      DELETE
  • Products
    • Create
      POST
    • Get
      GET
    • Update
      PUT
    • Delete
      DELETE
  1. Products

Create

Em desenvolvimento
POST
/products

Requisição

Parâmetros Header

Parâmetros Bodyapplication/jsonObrigatório

Examples

Respostas

🟢200Sucesso
application/json
Body

Request Request Example
Shell
JavaScript
Java
Swift
curl --location --request POST '/products' \
--header 'Authorization: Bearer {{AuthToken}}' \
--header 'Content-Type: application/json' \
--data-raw '{
  "name": "Notebook Dell",
  "description": "Notebook com 16GB RAM",
  "price": 4999.9,
  "category_id": 1,
  "image_url": "https://site.com/imagem.jpg"
}'
Response Response Example
Sucesso
{
    "success": true,
    "message": "Category created successfully.",
    "data": {
        "id": 1,
        "name": "Eletrônicos"
    }
}
Modificado em 2026-03-28 02:16:50
Página anterior
Delete
Próxima página
Get
Built with